Bug 84704 - SIDEBAR: Slow 1-pixel scrollbar scrolling when clicking in empty space or arrow buttons
Summary: SIDEBAR: Slow 1-pixel scrollbar scrolling when clicking in empty space or arr...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: topicUI
: 105919 (view as bug list)
Depends on:
Blocks: Sidebar-UI-UX Scrollbars
  Show dependency treegraph
 
Reported: 2014-10-06 07:59 UTC by Yousuf Philips (jay) (retired)
Modified: 2020-02-14 02:31 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-06 07:59:19 UTC
When elements in the sidebar take up more space than is available, a scrollbar appears. The scrollbar scrolls correctly if you drag the slider up and down, or if you use the mouse scroll wheel to move up and down. The scrollbar doesnt scroll correctly when you click in the empty space between the scrollbar arrows and the slider. It moves at 1 pixel per click.

Version: 4.4.0.0.alpha0+
Build ID: ced24ffba2fa1754c466b7944b0ee06d21292706
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-10-04_21:36:54
Comment 1 Terrence Enger 2014-10-08 03:22:46 UTC
I am setting bug status NEW and o/s Windows.  Jay, is it other than an
accident that you reported o/s All?  I do not see the slowdown in the
daily dbgutil bibisect repository.


Running a tinderbox build from 2014-10-15 02:45:20 on Windows Vista, I
see:

(*) In the sidebar, clicking in the space between the slider and the
    scrollbar arrow scrolls by one pixel.

(*) Similarly the scrollbar arrows in the sidebar.

(*) In the document area, a click in the space between the slider and
    the scrollbar arrow scrolls by about the height of the document
    area.

(*) The scrollbar arrows in the document area scrolls by about a
    centimeter.

My Windows computer does not have a mouse wheel.

Terry.
Comment 2 Terrence Enger 2014-10-08 03:51:18 UTC
Setting o/s back to All.  I can't imagine what I was thinking.
Comment 3 Yousuf Philips (jay) (retired) 2014-10-08 06:23:11 UTC
(In reply to Terrence Enger from comment #1)
> (*) Similarly the scrollbar arrows in the sidebar.

Thanks Terry for noticing this, as this also scrolls by 1 pixel.
Comment 4 Terrence Enger 2014-10-15 03:58:00 UTC
The Properties pane in Impress is similarly afflicted with slow
scrolling.
Comment 5 Matthew Millar 2015-04-17 13:07:05 UTC
Fault still exists in 4.4.1.2, however I'm only experiencing the speed issue in the 'Properties' tab of the sidebar.

Whilst there are scrollbars in all except the 'Styles and Formatting' tab, 'Properties' is the only tab with a scrollbar for the actual bar (due to the content exceeding the bar); all others are scrollbars within objects, e.g. lists with items which exceed the list object's capacity, but with the list object filling and not exceeding the bar.
Comment 6 Terrence Enger 2015-05-29 02:12:51 UTC
And I see the problem continues on Vista in daily build 2015-05-28.
However, I do not see the problem in (chroot environmet to) debian-sid
with daily dbgutil bibisect version 2015-05-28.
Comment 7 Yousuf Philips (jay) (retired) 2015-10-30 13:58:35 UTC
@Bjoern: As you stated that you fixed scrollwheel in sidebar, any possibility to see what is wrong here.
Comment 8 Björn Michaelsen 2015-10-30 14:17:47 UTC
(In reply to Yousuf (Jay) Philips from comment #7)
> @Bjoern: As you stated that you fixed scrollwheel in sidebar, any
> possibility to see what is wrong here.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c5e922d66d154405029380374f088cee6578056
This seems to be about the deck are of the sidebar, not about the TabBar area.
Comment 9 Robinson Tryon (qubit) 2015-12-13 11:23:57 UTC Comment hidden (obsolete)
Comment 10 Heiko Tietze 2016-05-24 12:44:43 UTC
Still an issue - small changes (SB_LINEUP/SB_LINEDOWN) have the same effect as large scale (SB_PAGEUP/SB_PAGEDOWN) [1]. EASYHACK?

[1] https://msdn.microsoft.com/en-us/library/windows/desktop/bb787527%28v=vs.85%29.aspx#scroll_bar_requests

Version: 5.2.0.0.alpha0+
Build ID: 6b232aeecc55f1715bc111e636e36a8e24827efb
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-26_07:40:04
Locale: de-DE (de_DE)
Comment 11 Terrence Enger 2016-05-27 01:05:25 UTC
Setting version back to 4.1.6 2 release.
Comment 12 Heiko Tietze 2016-06-28 15:14:36 UTC
NEEDINFO for the code pointers.
Comment 13 Xisco Faulí 2016-09-15 15:26:57 UTC
Removing keyword 'needsDevEval' as this bug is an easyHack
Comment 14 jani 2016-09-17 07:17:56 UTC
this is not an easyhack, our renderer is quite complicated
Comment 15 V Stuart Foote 2017-02-12 19:49:17 UTC
*** Bug 105919 has been marked as a duplicate of this bug. ***
Comment 16 QA Administrators 2018-02-13 03:32:58 UTC Comment hidden (obsolete)
Comment 17 QA Administrators 2020-02-14 02:31:22 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug